TRAFFIC_COP(8)

NAME
traffic_cop - Traffic Server watchdog

DESCRIPTION

traffic_cop is a watchdog program that is responsible for starting traffic_manager and traffic_server and monitoring them for responsiveness. If either of these processes are determined to be unresponsive, traffic_cop will kill and restart them.

On Linux, traffic_cop will also monitor available memory and swap space, restarting the watched processes if the available memory falls below a minimum threshold. The memory thresholds can be configured with the proxy.config.cop.linux_min_swapfree_kb and proxy.config.cop.linux_min_memfree_kb variables.

The following options are available:

    -d, --debug
        Emit debugging messages.

    -o, --stdout
        traffic_cop ordinarily logs to syslog, however for debugging purposes, this option causes it to print messages to standard output instead.

    -s, --stop
        Kill children using SIGSTOP instead of SIGKILL. This option is primarily for debugging.

    -V, --version
        Print version information and exit.

SEE ALSO

syslog(1), traffic_manager(8), traffic_server(8)

COPYRIGHT
2014, dev@trafficserver.apache.org